import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaBehaviorsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Searches the name property of behaviors for matching value
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behaviors#q DataOktaBehaviors#q}
    */
    readonly q?: string;
}
export declare class DataOktaBehaviorsBehaviors extends cdktf.ComplexComputedList {
    get id(): string;
    get name(): string;
    get settings(): {
        [key: string]: string;
    };
    get status(): string;
    get type(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/behaviors okta_behaviors}
*/
export declare class DataOktaBehaviors extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/behaviors okta_behaviors} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaBehaviorsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataOktaBehaviorsConfig);
    behaviors(index: string): DataOktaBehaviorsBehaviors;
    get id(): string;
    private _q?;
    get q(): string;
    set q(value: string);
    resetQ(): void;
    get qInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
