import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaUserSecurityQuestionsConfig extends cdktf.TerraformMetaArguments {
    /**
    * ID of a Okta User
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions#user_id DataOktaUserSecurityQuestions#user_id}
    */
    readonly userId: string;
}
export declare class DataOktaUserSecurityQuestionsQuestions extends cdktf.ComplexComputedList {
    get key(): string;
    get text(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions okta_user_security_questions}
*/
export declare class DataOktaUserSecurityQuestions extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions okta_user_security_questions} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaUserSecurityQuestionsConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaUserSecurityQuestionsConfig);
    get id(): string;
    questions(index: string): DataOktaUserSecurityQuestionsQuestions;
    private _userId?;
    get userId(): string;
    set userId(value: string);
    get userIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
